Update Bgp Neighbor

Update Bgp Neighbor

Updates a specific BGP neighbor of Provider Gateway.

Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/externalNetworks/{externalNetworkId}/providerGatewayServices/routing/bgp/neighbors/{neighborId}
COPY
Path Parameters
string
externalNetworkId
Required

externalNetworkId

string
neighborId
Required

neighborId


Request Body
ProviderGatewayBgpNeighbor of type(s) application/json
Optional
{
    "id": "string",
    "neighborAddress": "10.22.1.100",
    "remoteASNumber": "65546, 1.10",
    "keepAliveTimer": 0,
    "holdDownTimer": 0,
    "allowASIn": false,
    "neighborPassword": "string",
    "inRoutesFilterRef": {
        "id": "2a4ba9ad-e8d5-409c-8cae-c06910cd9b47",
        "name": "string",
        "type": "string"
    },
    "outRoutesFilterRef": {
        "id": "2a4ba9ad-e8d5-409c-8cae-c06910cd9b47",
        "name": "string",
        "type": "string"
    },
    "version": {
        "version": 0
    },
    "gracefulRestartModeValue": "string",
    "bfd": {
        "enabled": false,
        "bfdInterval": 0,
        "declareDeadMultiple": 0
    },
    "ipAddressTypeFilteringValue": "string",
    "routeFilteringConfigurations": [
        {
            "ipAddressTypeFilteringValue": "string",
            "active": false,
            "inboundRoutesFilterRef": {
                "id": "2a4ba9ad-e8d5-409c-8cae-c06910cd9b47",
                "name": "string",
                "type": "string"
            },
            "outboundRoutesFilterRef": {
                "id": "2a4ba9ad-e8d5-409c-8cae-c06910cd9b47",
                "name": "string",
                "type": "string"
            },
            "maximumRoutes": 0
        }
    ],
    "localASNumber": "65546, 1.10",
    "asPathModifierType": "string",
    "active": false,
    "sourceAddresses": [
        "123.0.0.1",
        "198.0.0.10",
        "2008:db8::96"
    ],
    "maxHopLimit": 0,
    "bgpPermissionGroupRef": {
        "id": "urn:vcloud:bgpPermissionGroup:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
        "name": "string",
        "accessLevel": "string"
    }
}
Authentication
This operation uses the following authentication methods.
Responses
202

The request have been accepted and the task to monitor the request is in the Location header.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"neighborAddress:"string","remoteASNumber:"string"}' https://{api_host}/cloudapi/1.0.0/externalNetworks/{externalNetworkId}/providerGatewayServices/routing/bgp/neighbors/{neighborId}